import { ApiCall } from "tsrpc";
import { ReqOpen, ResOpen } from "../../shared/protocols/peijiancangku/PtlOpen";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let db = await G.mongodb.cPlayerInfo('peijiancangku').findOne({ uid: call.uid, type: 'peijiancangku' });

    call.succ({
        index: db?.index || 0
    });
}